## pspg 0.7.5

=== Makefile ===

all:

# Include setting from the configure script
-include config.make

all: pspg

pspg: src/pspg.c config.make
	$(CC) src/pspg.c -o pspg $(CFLAGS) $(LDFLAGS) $(LDLIBS)

clean:
	$(RM) pspg
	
distclean: clean
	$(RM) -r autom4te.cache
	$(RM) aclocal.m4 configure
	$(RM) config.h config.log config.make config.status config.h.in

install: all
	tools/install.sh bin pspg "$(DESTDIR)$(bindir)"

=== debian/changelog ===
pspg (0.7.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sat, 09 Dec 2017 19:53:41 +0100

pspg (0.7.4-1) unstable; urgency=medium

  * New upstream version.
  * Cherry-pick less-status-bar from git HEAD.

 -- Christoph Berg <myon@debian.org>  Thu, 30 Nov 2017 17:05:04 +0100

pspg (0.6-1) unstable; urgency=medium

  * New upstream version.
  * Define MAXPATHLEN on Hurd. (Closes: #882240)

 -- Christoph Berg <myon@debian.org>  Fri, 24 Nov 2017 17:34:45 +0100

pspg (0.5-1) unstable; urgency=medium

  * Initial release (Closes: #881927)

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 16 Nov 2017 22:09:15 +0000

=== debian/control ===
Source: pspg
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Marco Nenciarini <mnencia@debian.org>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 dpkg-dev (>= 1.16.1~),
 pkg-config,
 libncursesw5-dev,
 help2man
Standards-Version: 4.1.2
Homepage: https://github.com/okbob/pspg
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pspg.git
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pspg.git

Package: pspg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PostgreSQL pager
 pspg is a pager specialized for viewing query results in PostgreSQL's psql
 command line client. Headers and the first column(s) are held in place while
 scrolling vertically and horizontally. Various color schemes are available.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

mandir := $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1
bindir := $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_installman:
	mkdir -p $(mandir)
	PATH=$(bindir):$(PATH) \
	help2man --no-info --no-discard-stderr --version-string='$(DEB_VERSION_UPSTREAM)' \
	    --name='PotgreSQL pager' pspg > $(mandir)/pspg.1

## pspg 0.9.3

=== Makefile ===
--- 
+++ 
@@ -6,10 +6,14 @@
 
 all: pspg
 
-pspg: src/pspg.c config.make
-	$(CC) src/pspg.c -o pspg $(CFLAGS) $(LDFLAGS) $(LDLIBS)
+pspg: src/unicode.h src/pspg.c src/unicode.c src/themes.c src/print.c config.make
+	$(CC) -O3 src/pspg.c src/print.c src/unicode.c src/themes.c -o pspg $(CFLAGS) $(LDFLAGS) $(LDLIBS)
 
 clean:
+	$(RM) src/pspg.o
+	$(RM) src/unicode.o
+	$(RM) src/themes.o
+	$(RM) src/print.o
 	$(RM) pspg
 	
 distclean: clean

=== debian/changelog ===
pspg (0.9.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 15 Feb 2018 10:18:02 +0100

pspg (0.9.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Jan 2018 18:45:01 +0100

pspg (0.9.1-1) unstable; urgency=medium

  * New upstream version.
  * Fix typo in manpage name.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <myon@debian.org>  Mon, 01 Jan 2018 10:31:48 +0100

pspg (0.8.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 20 Dec 2017 13:02:42 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  help2man
 Standards-Version: 4.1.2
 Homepage: https://github.com/okbob/pspg
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pspg.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pspg.git
+Vcs-Browser: https://salsa.debian.org/postgresql/pspg
+Vcs-Git: https://salsa.debian.org/postgresql/pspg.git
 
 Package: pspg
 Architecture: any

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pspg-$1\.tar\.gz/ \
  https://github.com/okbob/pspg/tags .*/v?(\d\S+)\.tar\.gz

## pspg 1.0.0

=== debian/changelog ===
pspg (1.0.0-1.pgdg70+1) wheezy-pgdg; urgency=medium

  * Rebuild for wheezy-pgdg (jenkins-pspg-source-distribution=wheezy-13,
    6ab01a3b77272d24f7f199a863de1c506713500f/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Mon, 19 Mar 2018 09:53:50 +0100

pspg (1.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 19 Mar 2018 09:13:21 +0100

## pspg 1.3.0

=== debian/changelog ===
pspg (1.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 03 Aug 2018 16:06:12 +0200

pspg (1.2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sun, 29 Jul 2018 12:23:55 +0200

pspg (1.2.1-1) unstable; urgency=medium

  * New upstream version.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Fri, 20 Jul 2018 21:38:53 +0200

pspg (1.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 04 May 2018 09:06:24 +0200

pspg (1.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Build-Depend on libreadline-dev.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 30 Apr 2018 09:21:33 +0200

## pspg 1.6.3

=== Makefile ===
all:

# Include setting from the configure script
-include config.make

ifdef COMPILE_MENU
ST_MENU_OFILES=st_menu.o st_menu_styles.o
endif

all: pspg

st_menu_styles.o: src/st_menu_styles.c config.make
	$(CC) -O3 src/st_menu_styles.c -c $(CFLAGS)


st_menu.o: src/st_menu.c config.make
	$(CC) -O3 src/st_menu.c -c $(CFLAGS)

pspg: src/pspg.h src/unicode.h src/pspg.c src/unicode.c src/themes.c src/print.c src/config.c src/commands.h src/menu.c src/commands.c $(ST_MENU_OFILES) config.make
	$(CC) -O3 src/pspg.c src/print.c src/unicode.c src/themes.c src/config.c src/menu.c src/commands.c $(ST_MENU_OFILES) -o pspg $(CFLAGS) $(LDFLAGS) $(LDLIBS)

clean:
	$(RM) $(ST_MENU_OFILES)
	$(RM) pspg

distclean: clean
	$(RM) -r autom4te.cache
	$(RM) aclocal.m4 configure
	$(RM) config.h config.log config.make config.status config.h.in

install: all
	tools/install.sh bin pspg "$(DESTDIR)$(bindir)"

=== debian/changelog ===
pspg (1.6.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 29 Nov 2018 10:37:53 +0100

pspg (1.6.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 14 Sep 2018 12:51:46 +0200

pspg (1.6.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 03 Sep 2018 09:26:33 +0200

pspg (1.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 31 Aug 2018 15:40:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pspg
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Marco Nenciarini <mnencia@debian.org>
@@ -10,8 +10,9 @@
  dpkg-dev (>= 1.16.1~),
  pkg-config,
  libncursesw5-dev,
+ libreadline-dev,
  help2man
-Standards-Version: 4.1.2
+Standards-Version: 4.1.5
 Homepage: https://github.com/okbob/pspg
 Vcs-Browser: https://salsa.debian.org/postgresql/pspg
 Vcs-Git: https://salsa.debian.org/postgresql/pspg.git

=== debian/rules ===
--- 
+++ 
@@ -17,4 +17,4 @@
 	mkdir -p $(mandir)
 	PATH=$(bindir):$(PATH) \
 	help2man --no-info --no-discard-stderr --version-string='$(DEB_VERSION_UPSTREAM)' \
-	    --name='PotgreSQL pager' pspg > $(mandir)/pspg.1
+	    --name='PostgreSQL pager' pspg > $(mandir)/pspg.1

## pspg 1.6.8

=== Makefile ===
--- 
+++ 
@@ -10,14 +10,13 @@
 all: pspg
 
 st_menu_styles.o: src/st_menu_styles.c config.make
-	$(CC) -O3 src/st_menu_styles.c -c $(CFLAGS)
-
+	$(CC) -O3 src/st_menu_styles.c -c $(CPPFLAGS) $(CFLAGS)
 
 st_menu.o: src/st_menu.c config.make
-	$(CC) -O3 src/st_menu.c -c $(CFLAGS)
+	$(CC) -O3 src/st_menu.c -c $(CPPFLAGS) $(CFLAGS)
 
 pspg: src/pspg.h src/unicode.h src/pspg.c src/unicode.c src/themes.c src/print.c src/config.c src/commands.h src/menu.c src/commands.c $(ST_MENU_OFILES) config.make
-	$(CC) -O3 src/pspg.c src/print.c src/unicode.c src/themes.c src/config.c src/menu.c src/commands.c $(ST_MENU_OFILES) -o pspg $(CFLAGS) $(LDFLAGS) $(LDLIBS)
+	$(CC) -O3 src/pspg.c src/print.c src/unicode.c src/themes.c src/config.c src/menu.c src/commands.c $(ST_MENU_OFILES) -o pspg $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(LDLIBS)
 
 clean:
 	$(RM) $(ST_MENU_OFILES)

=== debian/changelog ===
pspg (1.6.8-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 25 Jul 2019 20:09:58 +0200

pspg (1.6.8-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 25 Jul 2019 20:09:58 +0200

pspg (1.6.7-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 25 Jul 2019 10:01:07 +0200

pspg (1.6.5-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 20 May 2019 13:22:01 +0200

pspg (1.6.4-1) experimental; urgency=medium

  * New upstream version.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Mar 2019 16:00:03 +0100

## pspg 2.6.6

=== Makefile ===
all:

# Include setting from the configure script
-include config.make


DEPS=$(wildcard *.d)
PSPG_OFILES=csv.o print.o commands.o unicode.o themes.o pspg.o config.o sort.o menu.o pgclient.o
OBJS=$(PSPG_OFILES)

ifdef COMPILE_MENU
ST_MENU_OFILES=st_menu.o st_menu_styles.o
OBJS+=$(ST_MENU_OFILES)
endif

all: pspg

st_menu_styles.o: src/st_menu_styles.c config.make
	$(CC) -O3 src/st_menu_styles.c -c $(CPPFLAGS) $(CFLAGS)

st_menu.o: src/st_menu.c config.make
	$(CC) -O3 src/st_menu.c -c $(CPPFLAGS) $(CFLAGS)

csv.o: src/pspg.h src/unicode.h src/pretty-csv.c
	$(CC) -O3 -c  src/pretty-csv.c -o csv.o $(CPPFLAGS) $(CFLAGS)

print.o: src/pspg.h src/unicode.h src/print.c
	$(CC) -O3 -c  src/print.c -o print.o $(CPPFLAGS) $(CFLAGS)

commands.o: src/pspg.h src/commands.h src/commands.c
	$(CC) -O3 -c src/commands.c -o commands.o $(CPPFLAGS) $(CFLAGS)

config.o: src/config.h src/config.c
	$(CC) -O3 -c src/config.c -o config.o $(CPPFLAGS) $(CFLAGS)

unicode.o: src/unicode.h src/unicode.c
	$(CC) -O3 -c src/unicode.c -o unicode.o $(CPPFLAGS) $(CFLAGS)

themes.o: src/themes.h src/themes.c
	$(CC) -O3 -c src/themes.c -o themes.o $(CPPFLAGS) $(CFLAGS)

sort.o: src/pspg.h src/sort.c
	$(CC) -O3 -c src/sort.c -o sort.o $(CPPFLAGS) $(CFLAGS)

menu.o: src/pspg.h src/st_menu.h src/commands.h src/menu.c
	$(CC) -O3 -c src/menu.c -o menu.o $(CPPFLAGS) $(CFLAGS)

pgclient.o: src/pspg.h src/pgclient.c
	$(CC) -O3 -c src/pgclient.c -o pgclient.o $(CPPFLAGS) $(CFLAGS) $(PG_CPPFLAGS)


pspg.o: src/commands.h src/config.h src/unicode.h src/themes.h src/pspg.c
	$(CC) -O3 -c src/pspg.c -o pspg.o $(CPPFLAGS) $(CFLAGS)

pspg:  $(PSPG_OFILES) $(ST_MENU_OFILES) config.make
	$(CC) -O3 $(PSPG_OFILES) $(ST_MENU_OFILES) -o pspg $(LDFLAGS) $(LDLIBS) $(PG_LFLAGS) $(PG_LDFLAGS) $(PG_LIBS)

clean:
	$(RM) $(ST_MENU_OFILES)
	$(RM) $(PSPG_OFILES)
	$(RM) $(DEPS)
	$(RM) pspg

distclean: clean
	$(RM) -r autom4te.cache
	$(RM) aclocal.m4 configure
	$(RM) config.h config.log config.make config.status config.h.in

install: all
	tools/install.sh bin pspg "$(DESTDIR)$(bindir)"

# Pull-in dependencies generated by -MD
-include $(OBJS:.o=.d)

=== debian/changelog ===
pspg (2.6.6-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 17 Jan 2020 11:34:04 +0100

pspg (2.6.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Dec 2019 13:47:30 +0100

pspg (2.6.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Dec 2019 10:06:50 +0100

pspg (2.6.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Nov 2019 10:55:08 +0100

pspg (2.5.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Nov 2019 13:59:43 +0100

pspg (2.5.3-2) unstable; urgency=medium

  * autopkgtest: Invoke pspg without path.

 -- Christoph Berg <myon@debian.org>  Wed, 06 Nov 2019 21:53:38 +0100

pspg (2.5.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Nov 2019 11:13:17 +0100

pspg (2.5.0-2) unstable; urgency=medium

  * Add autopkgtest exercising the built-in PostgreSQL client.
    (Doesn't test the ncurses part.)

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 15:55:30 +0100

pspg (2.5.0-1) unstable; urgency=medium

  * New upstream version.
  * Add libpq-dev build-dependency.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 14:58:12 +0100

pspg (2.1.8-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 24 Oct 2019 09:32:34 +0200

pspg (2.1.6-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 10 Oct 2019 09:38:07 +0200

pspg (2.1.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 01 Oct 2019 11:45:34 +0200

pspg (2.0.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Sep 2019 10:11:56 +0200

pspg (2.0.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 19 Sep 2019 09:28:14 +0200

pspg (2.0.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 12 Sep 2019 11:44:47 +0200

pspg (2.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Sep 2019 13:45:14 +0200

pspg (1.7.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Sep 2019 09:21:40 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
  dpkg-dev (>= 1.16.1~),
  pkg-config,
  libncursesw5-dev,
+ libpq-dev,
  libreadline-dev,
  help2man
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Homepage: https://github.com/okbob/pspg
 Vcs-Browser: https://salsa.debian.org/postgresql/pspg
 Vcs-Git: https://salsa.debian.org/postgresql/pspg.git

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 %:
 	dh $@ --with autoreconf
 
-override_dh_autoreconf:
-	dh_autoreconf ./autogen.sh
+override_dh_auto_configure:
+	dh_auto_configure -- PG_CONFIG=pg_config
 
 override_dh_installman:
 	mkdir -p $(mandir)

## pspg 3.1.2

=== Makefile ===
all:

# Include setting from the configure script
-include config.make

# override CFLAGS += -Wextra -Wduplicated-cond -Wduplicated-branches -Wlogical-op -Wrestrict -Wnull-dereference -Wjump-misses-init -Wdouble-promotion -Wshadow -pedantic -Wimplicit-fallthrough=0

DEPS=$(wildcard *.d)
PSPG_OFILES=csv.o print.o commands.o unicode.o themes.o pspg.o config.o sort.o menu.o pgclient.o args.o infra.o file.o table.o string.o
OBJS=$(PSPG_OFILES)

ifdef COMPILE_MENU
ST_MENU_OFILES=st_menu.o st_menu_styles.o
OBJS+=$(ST_MENU_OFILES)
endif

all: pspg

st_menu_styles.o: src/st_menu_styles.c config.make
	$(CC)  src/st_menu_styles.c -c $(CPPFLAGS) $(CFLAGS)

st_menu.o: src/st_menu.c config.make
	$(CC)  src/st_menu.c -c $(CPPFLAGS) $(CFLAGS)

csv.o: src/pspg.h src/unicode.h src/pretty-csv.c
	$(CC)  -c  src/pretty-csv.c -o csv.o $(CPPFLAGS) $(CFLAGS)

args.o: src/pspg.h src/args.c
	$(CC)  -c  src/args.c -o args.o $(CPPFLAGS) $(CFLAGS)

print.o: src/pspg.h src/unicode.h src/print.c
	$(CC)  -c  src/print.c -o print.o $(CPPFLAGS) $(CFLAGS)

commands.o: src/pspg.h src/commands.h src/commands.c
	$(CC)  -c src/commands.c -o commands.o $(CPPFLAGS) $(CFLAGS)

config.o: src/config.h src/config.c
	$(CC)  -c src/config.c -o config.o $(CPPFLAGS) $(CFLAGS)

unicode.o: src/unicode.h src/unicode.c
	$(CC)  -c src/unicode.c -o unicode.o $(CPPFLAGS) $(CFLAGS)

themes.o: src/themes.h src/themes.c
	$(CC)  -c src/themes.c -o themes.o $(CPPFLAGS) $(CFLAGS)

sort.o: src/pspg.h src/sort.c
	$(CC)  -c src/sort.c -o sort.o $(CPPFLAGS) $(CFLAGS)

menu.o: src/pspg.h src/st_menu.h src/commands.h src/menu.c
	$(CC)  -c src/menu.c -o menu.o $(CPPFLAGS) $(CFLAGS)

pgclient.o: src/pspg.h src/pgclient.c
	$(CC)  -c src/pgclient.c -o pgclient.o $(CPPFLAGS) $(CFLAGS) $(PG_CPPFLAGS)

infra.o: src/pspg.h src/infra.c
	$(CC)  -c src/infra.c -o infra.o $(CPPFLAGS) $(CFLAGS)

file.o: src/pspg.h src/file.c
	$(CC)  -c src/file.c -o file.o $(CPPFLAGS) $(CFLAGS)

table.o: src/pspg.h src/table.c
	$(CC)  -c src/table.c -o table.o $(CPPFLAGS) $(CFLAGS)

string.o: src/pspg.h src/string.c
	$(CC)  -c src/string.c -o string.o $(CPPFLAGS) $(CFLAGS)

pspg.o: src/commands.h src/config.h src/unicode.h src/themes.h src/pspg.c
	$(CC)  -c src/pspg.c -o pspg.o $(CPPFLAGS) $(CFLAGS)

pspg:  $(PSPG_OFILES) $(ST_MENU_OFILES) config.make
	$(CC)  $(PSPG_OFILES) $(ST_MENU_OFILES) -o pspg $(LDFLAGS) $(LDLIBS) $(PG_LFLAGS) $(PG_LDFLAGS) $(PG_LIBS)

clean:
	$(RM) $(ST_MENU_OFILES)
	$(RM) $(PSPG_OFILES)
	$(RM) $(DEPS)
	$(RM) pspg

distclean: clean
	$(RM) -r autom4te.cache
	$(RM) aclocal.m4 configure
	$(RM) config.h config.log config.make config.status config.h.in

install: all
	tools/install.sh bin pspg "$(DESTDIR)$(bindir)"

# Pull-in dependencies generated by -MD
-include $(OBJS:.o=.d)

=== debian/changelog ===
pspg (3.1.2-1) unstable; urgency=medium

  * New upstream version.
  * DH 13; remove dh-autoreconf.

 -- Christoph Berg <myon@debian.org>  Mon, 25 May 2020 11:50:55 +0200

pspg (3.0.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 06 May 2020 11:26:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Marco Nenciarini <mnencia@debian.org>
-Build-Depends: debhelper (>= 9),
- dh-autoreconf,
+Build-Depends:
+ debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1~),
  pkg-config,
  libncursesw5-dev,
  libpq-dev,
  libreadline-dev,
  help2man
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/okbob/pspg
 Vcs-Browser: https://salsa.debian.org/postgresql/pspg
 Vcs-Git: https://salsa.debian.org/postgresql/pspg.git

## pspg 4.1.0

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # Include setting from the configure script
 -include config.make
 
-# override CFLAGS += -Wextra -Wduplicated-cond -Wduplicated-branches -Wlogical-op -Wrestrict -Wnull-dereference -Wjump-misses-init -Wdouble-promotion -Wshadow -pedantic -Wimplicit-fallthrough=0
+# override CFLAGS += -g -Werror-implicit-function-declaration -D_POSIX_SOURCE=1 -std=c99  -Wextra -Wduplicated-cond -Wduplicated-branches -Wlogical-op -Wrestrict -Wnull-dereference -Wjump-misses-init -Wdouble-promotion -Wshadow -pedantic -Wimplicit-fallthrough=0
 
 DEPS=$(wildcard *.d)
-PSPG_OFILES=csv.o print.o commands.o unicode.o themes.o pspg.o config.o sort.o menu.o pgclient.o args.o infra.o file.o table.o string.o
+PSPG_OFILES=csv.o print.o commands.o unicode.o themes.o pspg.o config.o sort.o menu.o pgclient.o args.o infra.o file.o table.o string.o export.o
 OBJS=$(PSPG_OFILES)
 
 ifdef COMPILE_MENU
@@ -64,6 +64,9 @@
 string.o: src/pspg.h src/string.c
 	$(CC)  -c src/string.c -o string.o $(CPPFLAGS) $(CFLAGS)
 
+export.o: src/pspg.h src/export.c
+	$(CC)  -c src/export.c -o export.o $(CPPFLAGS) $(CFLAGS)
+
 pspg.o: src/commands.h src/config.h src/unicode.h src/themes.h src/pspg.c
 	$(CC)  -c src/pspg.c -o pspg.o $(CPPFLAGS) $(CFLAGS)

=== debian/changelog ===
pspg (4.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 02 Feb 2021 15:28:37 +0100

pspg (4.0.1-1) unstable; urgency=medium

  * New upstream version.
  * Upgrade watch file to version 4.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Jan 2021 14:53:02 +0100

pspg (3.1.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Oct 2020 13:48:49 +0200

pspg (3.1.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 24 Sep 2020 16:56:32 +0200

pspg (3.1.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Aug 2020 13:48:07 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  libreadline-dev,
  help2man
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/okbob/pspg
 Vcs-Browser: https://salsa.debian.org/postgresql/pspg
 Vcs-Git: https://salsa.debian.org/postgresql/pspg.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- PG_CONFIG=pg_config

## pspg 4.6.3

=== debian/changelog ===
pspg (4.6.3-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 12 May 2021 15:12:01 +0200

pspg (4.6.3-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 12 May 2021 15:12:01 +0200

pspg (4.6.0-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 22 Apr 2021 15:51:27 +0200

pspg (4.3.1-2) experimental; urgency=medium

  * New upstream version.
  * B-D on libssl-dev.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Mar 2021 10:49:40 +0100

pspg (4.2.1-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 11 Feb 2021 10:35:32 +0100

## pspg 5.2.0

=== debian/changelog ===
pspg (5.2.0-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 27 Jul 2021 17:35:32 +0200

pspg (5.2.0-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 27 Jul 2021 17:35:32 +0200

pspg (5.0.5-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Jun 2021 13:23:35 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  libncursesw5-dev,
  libpq-dev,
  libreadline-dev,
+ libssl-dev,
  help2man
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

## pspg 5.5.3

=== Makefile ===
--- 
+++ 
@@ -3,14 +3,18 @@
 # Include setting from the configure script
 -include config.make
 
-# override CFLAGS += -g -Werror-implicit-function-declaration -D_POSIX_SOURCE=1 -std=c99  -Wextra -Wduplicated-cond -Wduplicated-branches -Wlogical-op -Wrestrict -Wnull-dereference -Wjump-misses-init -Wdouble-promotion -Wshadow -pedantic -Wimplicit-fallthrough=0
+# override CFLAGS += -g -O2 -Werror-implicit-function-declaration -D_POSIX_SOURCE=1 -std=c99  -Wextra -Wduplicated-cond -Wduplicated-branches -Wlogical-op -Wrestrict -Wnull-dereference -Wjump-misses-init -Wdouble-promotion -Wshadow -pedantic -fstack-protector-all -fsanitize=address
+
+# LDFLAGS += -fsanitize=address
 
 DEPS=$(wildcard *.d)
-PSPG_OFILES=csv.o print.o commands.o unicode.o themes.o pspg.o config.o sort.o menu.o pgclient.o args.o infra.o file.o table.o string.o export.o
+PSPG_OFILES=csv.o print.o commands.o unicode.o themes.o pspg.o config.o sort.o pgclient.o args.o infra.o \
+table.o string.o export.o linebuffer.o bscommands.o readline.o inputs.o theme_loader.o
+
 OBJS=$(PSPG_OFILES)
 
 ifdef COMPILE_MENU
-ST_MENU_OFILES=st_menu.o st_menu_styles.o
+ST_MENU_OFILES=st_menu.o st_menu_styles.o menu.o
 OBJS+=$(ST_MENU_OFILES)
 endif
 
@@ -55,9 +59,6 @@
 infra.o: src/pspg.h src/infra.c
 	$(CC)  -c src/infra.c -o infra.o $(CPPFLAGS) $(CFLAGS)
 
-file.o: src/pspg.h src/file.c
-	$(CC)  -c src/file.c -o file.o $(CPPFLAGS) $(CFLAGS)
-
 table.o: src/pspg.h src/table.c
 	$(CC)  -c src/table.c -o table.o $(CPPFLAGS) $(CFLAGS)
 
@@ -67,7 +68,22 @@
 export.o: src/pspg.h src/export.c
 	$(CC)  -c src/export.c -o export.o $(CPPFLAGS) $(CFLAGS)
 
-pspg.o: src/commands.h src/config.h src/unicode.h src/themes.h src/pspg.c
+linebuffer.o: src/pspg.h src/linebuffer.c
+	$(CC)  -c src/linebuffer.c -o linebuffer.o $(CPPFLAGS) $(CFLAGS)
+
+readline.o: src/pspg.h src/readline.c
+	$(CC)  src/readline.c -c $(CPPFLAGS) $(CFLAGS)
+
+inputs.o: src/pspg.h src/inputs.h src/inputs.c
+	$(CC)  src/inputs.c -c $(CPPFLAGS) $(CFLAGS)
+
+bscommands.o: src/pspg.h src/bscommands.c
+	$(CC)  src/bscommands.c -c $(CPPFLAGS) $(CFLAGS)
+
+theme_loader.o: src/pspg.h src/themes.h src/theme_loader.c
+	$(CC)  src/theme_loader.c -c $(CPPFLAGS) $(CFLAGS)
+
+pspg.o: src/commands.h src/config.h src/unicode.h src/themes.h src/inputs.h src/pspg.c
 	$(CC)  -c src/pspg.c -o pspg.o $(CPPFLAGS) $(CFLAGS)
 
 pspg:  $(PSPG_OFILES) $(ST_MENU_OFILES) config.make
@@ -87,5 +103,9 @@
 install: all
 	tools/install.sh bin pspg "$(DESTDIR)$(bindir)"
 
+strip-install: all
+	strip pspg
+	tools/install.sh bin pspg "$(DESTDIR)$(bindir)"
+
 # Pull-in dependencies generated by -MD
 -include $(OBJS:.o=.d)

=== debian/changelog ===
pspg (5.5.3-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 22 Dec 2021 15:19:45 +0100

pspg (5.5.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Dec 2021 15:19:45 +0100

pspg (5.5.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Dec 2021 16:41:31 +0100

pspg (5.5.1-1) unstable; urgency=medium

  [ Christoph Berg ]
  * New upstream version.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Nov 2021 10:02:56 +0100

pspg (5.3.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Sep 2021 10:04:09 +0200

pspg (5.3.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 30 Aug 2021 12:39:33 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
  Christoph Berg <myon@debian.org>,
  Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
- dpkg-dev (>= 1.16.1~),
+ debhelper (>= 10),
  pkg-config,
  libncursesw5-dev,
  libpq-dev,

## pspg 5.5.5

=== debian/changelog ===
pspg (5.5.5-1.pgdg21.10+~20220711.1309.gcd499bb) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 11 Jul 2022 11:55:27 +0200

pspg (5.5.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Jul 2022 11:55:27 +0200

pspg (5.5.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Mar 2022 11:26:44 +0100

## pspg 5.5.6

=== debian/changelog ===
pspg (5.5.6-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 08 Aug 2022 19:44:39 +0200

pspg (5.5.6-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Aug 2022 19:44:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Christoph Berg <myon@debian.org>,
  Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 12),
  pkg-config,
  libncursesw5-dev,
  libpq-dev,

## pspg 5.7.2

=== debian/changelog ===
pspg (5.7.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 03 Feb 2023 09:56:06 +0100

pspg (5.7.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Jan 2023 13:09:06 +0200

pspg (5.6.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sun, 04 Dec 2022 20:10:09 +0100

pspg (5.6.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sun, 04 Dec 2022 17:09:12 +0100

pspg (5.5.13-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Nov 2022 12:55:20 +0100

pspg (5.5.12-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 22 Nov 2022 15:35:33 +0100

pspg (5.5.11-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 22 Nov 2022 14:19:03 +0100

pspg (5.5.9-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Nov 2022 14:58:17 +0100

pspg (5.5.8-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Oct 2022 16:12:38 +0200

pspg (5.5.7-2) unstable; urgency=medium

  * Remove AC_CHECK_INCLUDES_DEFAULT from configure.ac for backporting.

 -- Christoph Berg <myon@debian.org>  Thu, 22 Sep 2022 11:34:10 +0200

pspg (5.5.7-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 22 Sep 2022 11:23:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Christoph Berg <myon@debian.org>,
  Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  pkg-config,
  libncursesw5-dev,
  libpq-dev,

=== debian/tests/control ===
Depends: @, postgresql
Tests: pspg
Restrictions: allow-stderr

## pspg 5.7.8

=== debian/changelog ===
pspg (5.7.8-1) unstable; urgency=medium

  * New upstream version.
  * Work around too old autoconf on bullseye/buster/focal.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Jul 2023 15:25:16 +0300

pspg (5.7.4-1) experimental; urgency=medium

  * New upstream version.
  * B-D on libncurses-dev.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Mar 2023 12:03:12 +0100

## pspg 5.8.0

=== debian/changelog ===
pspg (5.8.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Aug 2023 10:57:37 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
- libncursesw5-dev,
+ libncurses-dev | libncursesw5-dev,
  libpq-dev,
  libreadline-dev,
  libssl-dev,

## pspg 5.8.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Include setting from the configure script
 -include config.make
 
-# override CFLAGS += -g -O2 -Werror-implicit-function-declaration -D_POSIX_SOURCE=1 -std=c99  -Wextra -Wduplicated-cond -Wduplicated-branches -Wlogical-op -Wrestrict -Wnull-dereference -Wjump-misses-init -Wdouble-promotion -Wshadow -pedantic -fstack-protector-all -fsanitize=address
+# override CFLAGS += -g -O2 -Werror-implicit-function-declaration -D_POSIX_SOURCE=1 -std=c99  -Wextra -Wduplicated-cond -Wduplicated-branches -Wlogical-op -Wrestrict -Wnull-dereference -Wjump-misses-init -Wdouble-promotion -Wshadow -pedantic -fstack-protector-all -fsanitize=address -fstack-protector -fstack-protector-strong
 
 # LDFLAGS += -fsanitize=address
 
@@ -89,6 +89,9 @@
 pspg:  $(PSPG_OFILES) $(ST_MENU_OFILES) config.make
 	$(CC)  $(PSPG_OFILES) $(ST_MENU_OFILES) -o pspg $(LDFLAGS) $(LDLIBS) $(PG_LFLAGS) $(PG_LDFLAGS) $(PG_LIBS)
 
+man:
+	ronn --manual="pspg manual" --section=1 < README.md > pspg.1
+
 clean:
 	$(RM) $(ST_MENU_OFILES)
 	$(RM) $(PSPG_OFILES)
@@ -103,6 +106,9 @@
 install: all
 	tools/install.sh bin pspg "$(DESTDIR)$(bindir)"
 
+man-install:
+	tools/install.sh data pspg.1 "$(mandir)/man1"
+
 strip-install: all
 	strip pspg
 	tools/install.sh bin pspg "$(DESTDIR)$(bindir)"

=== debian/changelog ===
pspg (5.8.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:24:34 +1100

pspg (5.8.1-1build1) noble; urgency=medium

  * No-change rebuild for libreadline t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 18:58:46 +0100

pspg (5.8.1-1) unstable; urgency=medium

  * New upstream version 5.8.1.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Nov 2023 14:07:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pspg
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Marco Nenciarini <mnencia@debian.org>

## pspg 5.8.6

=== debian/changelog ===
pspg (5.8.6-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 10 May 2024 09:40:05 +0200

pspg (5.8.6-1) unstable; urgency=medium

  * New upstream version 5.8.6.

 -- Christoph Berg <myon@debian.org>  Fri, 10 May 2024 09:40:05 +0200

pspg (5.8.5-1) unstable; urgency=medium

  * New upstream version 5.8.5.

 -- Christoph Berg <myon@debian.org>  Wed, 24 Apr 2024 17:12:00 +0200

pspg (5.8.4-1) unstable; urgency=medium

  * New upstream version 5.8.4.
  * B-D on pkgconf.

 -- Christoph Berg <myon@debian.org>  Tue, 16 Apr 2024 08:43:44 +0200

## pspg 5.8.7

=== debian/changelog ===
pspg (5.8.7-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 27 Sep 2024 11:04:21 +0200

pspg (5.8.7-1) unstable; urgency=medium

  * New upstream version 5.8.7.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Sep 2024 11:04:21 +0200

## pspg 5.8.8

=== debian/changelog ===
pspg (5.8.8-1) unstable; urgency=medium

  * New upstream version 5.8.8.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Mar 2025 11:04:13 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,13 @@
 %:
 	dh $@
 
+ifneq ($(filter bullseye buster focal,$(DEB_BUILD_PROFILES)),)
+override_dh_autoreconf:
+	# autoconf too old
+override_dh_auto_clean:
+	# don't remove configure
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- PG_CONFIG=pg_config

## pspg 5.8.9

=== debian/changelog ===
pspg (5.8.9-1) unstable; urgency=medium

  * New upstream version 5.8.9.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Apr 2025 12:13:08 +0200

## pspg 5.8.10

=== debian/changelog ===
pspg (5.8.10-1.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 06 May 2025 17:35:32 +0200

pspg (5.8.10-1) experimental; urgency=medium

  * New upstream version 5.8.10.

 -- Christoph Berg <myon@debian.org>  Tue, 06 May 2025 17:35:32 +0200

## pspg 5.8.11

=== debian/changelog ===
pspg (5.8.11-1.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 11 May 2025 23:17:33 +0200

pspg (5.8.11-1) experimental; urgency=medium

  * New upstream version 5.8.11.

 -- Christoph Berg <myon@debian.org>  Sun, 11 May 2025 23:17:33 +0200

## pspg 5.8.12

=== debian/changelog ===
pspg (5.8.12-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Nov 2025 11:20:15 +0100

pspg (5.8.12-1) experimental; urgency=medium

  * New upstream version 5.8.12.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Jul 2025 16:24:49 +0200

=== debian/watch ===
version=4
https://github.com/okbob/pspg/tags .*/v?(\d\S+)\.tar\.gz

## pspg 5.8.13

=== debian/changelog ===
pspg (5.8.13-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 15 Dec 2025 12:26:45 +0100

pspg (5.8.13-1) unstable; urgency=medium

  * New upstream version 5.8.13.

 -- Christoph Berg <myon@debian.org>  Mon, 15 Dec 2025 12:26:45 +0100

## pspg 5.8.14

=== debian/changelog ===
pspg (5.8.14-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 18 Dec 2025 12:15:53 +0100

pspg (5.8.14-1) unstable; urgency=medium

  * New upstream version 5.8.14.

 -- Christoph Berg <myon@debian.org>  Thu, 18 Dec 2025 12:15:53 +0100

## pspg 5.8.15

=== debian/changelog ===
pspg (5.8.15-1) unstable; urgency=medium

  * New upstream version 5.8.15.

 -- Christoph Berg <myon@debian.org>  Fri, 23 Jan 2026 09:44:57 +0100

## pspg 5.8.16

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,9 @@
 # Include setting from the configure script
 -include config.make
 
-# override CFLAGS += -g -O2 -Werror-implicit-function-declaration -D_POSIX_SOURCE=1 -std=c99  -Wextra -Wduplicated-cond -Wduplicated-branches -Wlogical-op -Wrestrict -Wnull-dereference -Wjump-misses-init -Wdouble-promotion -Wshadow -pedantic -fstack-protector-all -fsanitize=address -fstack-protector -fstack-protector-strong
+#override CFLAGS += -g -O2 -Werror-implicit-function-declaration -D_POSIX_SOURCE=1 -std=c99  -Wextra -Wduplicated-cond -Wduplicated-branches -Wlogical-op -Wrestrict -Wnull-dereference -Wjump-misses-init -Wdouble-promotion -Wshadow -pedantic -fstack-protector-all -fsanitize=address -fstack-protector -fstack-protector-strong
+
+override CFLAGS += -O2
 
 # LDFLAGS += -fsanitize=address

=== debian/changelog ===
pspg (5.8.16-1) unstable; urgency=medium

  * New upstream version 5.8.16.

 -- Christoph Berg <myon@debian.org>  Wed, 18 Feb 2026 14:42:10 +0100
